package essen;

public abstract class AbstractMahlzeit implements Mahlzeit {
	private String beschreibung;
	private double preis;

	public AbstractMahlzeit(String beschreibung, double preis) {
		this.beschreibung = beschreibung;
		this.preis = preis;
	}

	@Override
	public double getPreis() {
		return preis;
	}

	@Override
	public String getBeschreibung() {
		return beschreibung;
	}

	@Override
	public String toString() {
		return String.format("%s fr %.2f",
				getBeschreibung(), getPreis());
	}
}
