package adapter;
import java.util.Enumeration;
import java.util.Iterator;

public class Enum2Iterator<E> implements Iterator<E> {
	Enumeration<E> e;

	public Enum2Iterator(Enumeration<E> e) {
		this.e = e;
	}

	@Override
	public boolean hasNext() {
		return e.hasMoreElements();
	}

	@Override
	public E next() {
		return e.nextElement();
	}

	@Override
	public void remove() {
		throw new RuntimeException("not implemented");
	}
}