package essen;

public class Beilage extends AbstractMahlzeit {
	private Mahlzeit basisEssen;

	public Beilage(Mahlzeit basisEssen, String beschreibung, double preis) {
		super(beschreibung, preis);
		this.basisEssen = basisEssen;
	}

	@Override
	public double getPreis() {
		return basisEssen.getPreis()+super.getPreis();
	}

	@Override
	public String getBeschreibung() {
		return String.format("%s, %s",
				basisEssen.getBeschreibung(), super.getBeschreibung());
	}
}
