import java.io.FilterReader;
import java.io.IOException;
import java.io.Reader;


public class UppercaseReader extends FilterReader {
	public UppercaseReader(Reader in) {
		super(in);
	}

	@Override
	public int read(char[] cbuf, int off, int len) throws IOException {
		int count = super.read(cbuf, off, len);
		for (int i=off; i<off+count; i++) {
			cbuf[i] = Character.toUpperCase(cbuf[i]);
		}
		return count;
	}

	
}
